# NGSI-LD API

This repository contains OpenAPI specification for the NGSI-LD API  specified by ETSI ISG CIM 009.

## Online Documentation

### Specification Document

* [ETSI ISG CIM 009](https://www.etsi.org/deliver/etsi_gs/CIM/001_099/009/01.06.01_60/gs_CIM009v010601p.pdf)

### Navigate API

* [Swagger UI](https://forge.etsi.org/swagger/ui/?url=https://forge.etsi.org/rep/NGSI-LD/NGSI-LD/-/raw/1.6.1/ngsi-ld-api.yaml)
* [Redocly](https://redocly.github.io/redoc/?url=https://forge.etsi.org/rep/NGSI-LD/NGSI-LD/-/raw/1.6.1/ngsi-ld-api.yaml)


## Developers

Please note that the OpenAPI specification for the NGSI-LD API is provided as a single file. The reason behind this design choice is to leverage OpenAPI extensions supported by IDEs like VS Code, which are not compatible with multi-file OpenAPI specifications.

The NGSI-LD API specification has been developed using VS Code supported by the [OpenAPI Swagger Editor Extension in VS Code](https://42crunch.com/tutorial-openapi-swagger-extension-vs-code/). We highly recommend using this extension when developing.

## Additional resources

The repository includes the following resources that may be useful when using the NGSI-LD API:
- [Core JSON-LD @context](./coreContext/): This folder contains JSON-LD core @context defined by the NGSI-LD API. For convencience, the folder includes @context files for different versions of the API.
- [NGSI-LD payload examples](./examples/): Includes examples of NGSI-LD payloads for multiple types of NGSI-LD operations. These examples can also be found in the Annex sections of the ETSI ISG CIM 009 document.

## License

The content of this repository and the files contained are released under the BSD-3-Clause license. See the attached LICENSE file or visit https://forge.etsi.org/legal-matters.
